#
# spec file for package peek
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           peek
Version:        0.8.0
Release:        1.3
Summary:        An animated GIF recorder
License:        GPL-3.0
Group:          Productivity/Graphics/Other
Url:            https://github.com/phw/peek
Source:         https://github.com/phw/peek/archive/v%{version}.tar.gz
BuildRequires:  cmake >= 2.8.8
BuildRequires:  ffmpeg-devel
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.19
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(vapigen)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package

%description
A simple tool that allows you to record short animated GIF images from your screen.
Currently, only X11 window system is supported.

%prep
%setup -q

%build
%cmake -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r com.uploadedlobster.peek Utility DesktopUtility
%find_lang %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/peek
%{_datadir}/glib-2.0/schemas/com.uploadedlobster.peek.gschema.xml
%{_datadir}/applications/com.uploadedlobster.peek.desktop
%dir %{_datadir}/icons/hicolor/512x512/apps/
%dir %{_datadir}/icons/hicolor/512x512/
%{_datadir}/icons/hicolor/*/apps/peek.png
%{_datadir}/dbus-1/services/com.uploadedlobster.peek.service

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Jan 28 2017 jengelh@inai.de
- Trim irrelevant parts from description
* Fri Jan 27 2017 sebix+novell.com@sebix.at
- update to 0.8, upstream changes:
  * ui: Change button text while rendering (#24)
  * ui: Add a --version command line argument
  * ui: Show file choose directly after recording stops. This way
  * rendering and choosing the file take place in parallel (#30)
  * recording: Correctly scale recording area on HiDPI screens (#20)
  * i18n: Arabic translation
  * i18n: Catalan translation
  * i18n: French translation
  * i18n: Lithuanian translation
  * i18n: Polish translation
  * i18n: Portuguese (Portugal) translation
  * i18n: Russian translation
  * i18n: Spanish translation
  * i18n: Ukrainian translation
  * misc: Added generic name and sub category to desktop file
  * misc: Added uninstall target, so source installations can be uninstalled
  * with make uninstall (#28)
  * fix: Fix DBUS service file if installed to location other than /usr (#13)
  * fix: Locales not loaded if not installed to /usr due to missing locale path
* Sun Sep  4 2016 mailaender@opensuse.org
- initial packaging of version 0.7.2
